Bug 696735 - shared mem leak if corosync dies unexpectantly
Summary: shared mem leak if corosync dies unexpectantly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: corosync
Version: 6.0
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jan Friesse
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 665165
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-14 18:16 UTC by Benjamin Kahn
Modified: 2011-06-08 08:15 UTC (History)
7 users (show)

Fixed In Version: corosync-1.2.3-21.el6_0.2
Doc Type: Bug Fix
Doc Text:
When the corosync server terminated unexpectedly, if it was connected to corosync clients, a shared memory leak occurred. This bug has been fixed and no memory leaks occur in the described scenario.
Clone Of:
Environment:
Last Closed: 2011-06-08 08:15:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0854 0 normal SHIPPED_LIVE corosync bug fix update 2011-06-08 08:14:43 UTC

Description Benjamin Kahn 2011-04-14 18:16:42 UTC
This bug has been copied from bug #665165 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 6 Tomas Capek 2011-05-23 15:12:41 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When the corosync server terminated unexpectedly, if it was connected to corosync clients, a shared memory leak occurred. This bug has been fixed and no memory leaks occur in the described scenario.

Comment 7 errata-xmlrpc 2011-06-08 08:15:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0854.html


Note You need to log in before you can comment on or make changes to this bug.